﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;

namespace howto_unblock_files
{
    public static class Extensions
    {
        private static void CheckUncheckAll(
            this CheckedListBox clb, bool is_checked)
        {
            for (int i = 0; i < clb.Items.Count; i++)
            {
                clb.SetItemChecked(i, is_checked);
            }
        }

        public static void CheckAll(this CheckedListBox clb)
        {
            clb.CheckUncheckAll(true);
        }

        public static void UncheckAll(this CheckedListBox clb)
        {
            clb.CheckUncheckAll(false);
        }
    }
}
